<?php
include_once('../style.php');
Header('Cache-Control: no-cache');
ShowHeader('Jídleníček jídelny Na kopečku','Editace jídelníčku');

$Dny = array('Neděle', 'Pondělí', 'Úterý', 'Středa', 'Čtvrtek', 'Pátek', 'Sobota');
$Status = array('Nezveřejněno', 'Otevřeno', 'Zavřeno - svátek', 'Zavřeno - dovolená');
$Count = 20;    // počet dopředu zobrazených dnů

function PrintTableRow($Row)
{
  global $Dny, $Status, $LastWeekOfYear;

  $Selected = array('','','','');
  $Selected[$Row['status']] = 'selected ';   
  $Date = explode('-',$Row['date']);
  $Week = date('w',mktime(0,0,0,$Date[1],$Date[2],$Date[0]));
  //$Week = ;
  $WeekOfYear = date('W',mktime(0,0,0,$Date[1],$Date[2],$Date[0]));
  if($WeekOfYear != $LastWeekOfYear) 
    $WeekRowSpan = '<td align="center" rowspan="'.(7-(($Week+7-1) % 7)).'">'.$WeekOfYear.'<br><a href="tisk.php?date='.date('Y-m-d',mktime(0,0,0,$Date[1],$Date[2],$Date[0])-($Week-1)*86400).'">Tisk</a></td>';
    else $WeekRowSpan = '';
  if($Week == 0) $Color = ' style="color: #ff0000;" '; else $Color = ''; 
  echo('<tr><td'.$Color.'>'.$Dny[$Week].'</td><td>'.HumanDate($Row['date']).'</td>
  '.$WeekRowSpan.'
  <td><input name="soap_'.$Row['date'].'" size="30" value="'.$Row['soap'].'"></td>
  <td><input name="meal_'.$Row['date'].'" size="30" value="'.$Row['meal'].'"></td>
  <td><select name="status_'.$Row['date'].'">');
  for($I=0; $I<4; $I++) echo('    <option '.$Selected[$I].'value="'.$I.'">'.$Status[$I].'</option>');
  echo('</select></td></tr>');
  $LastWeekOfYear = $WeekOfYear;
}

if(array_key_exists('action',$_GET))
{
  if($_GET['action'] == 'savemenu')
  {
    for($I=0; $I<$Count; $I++) 
    {
      $Time = time() + $I * 86400;
      $Date = date('Y-m-d', $Time);
      $Database->replace('meals', array('date' => $Date, 'meal' => $_POST['meal_'.$Date], 'soap' => $_POST['soap_'.$Date], 'status' => $_POST['status_'.$Date]));
      //echo($Database->error.'<br>');
    }
    echo('<div style="color: red; font-size: larger;">Menu uloženo!</div>');
  }
  if($_GET['action'] == 'saveinfo')
  {
    $Database->delete('meals_info','1');
    $Database->insert('meals_info',array('info' => $_POST['info'], 'price' => $_POST['price']));
    echo('<div style="color: red; font-size: larger;">Informační údaje uloženy!</div>');
  }
}
echo('
<form action="menuedit.php?action=savemenu" method="post">
<fieldset><legend>Jídlo pro jednotlivé dny</legend>

<table align="center" border="1" cellspacing="0" cellpadding="5"><tr><th>Den</th><th>Datum</th><th>Týden</th><th>Polévka</th><th>Hlavní jídlo</th><th>Stav</th></tr>');
for($I=0; $I<$Count; $I++) 
{
  $Time = time()+$I*86400;
  $DbResult = $Database->select('meals','*','date = "'.date('Y-m-d',$Time).'"');
  if($Row = $DbResult->fetch_array()) 
    PrintTableRow($Row);
  else {
    $Row = array('status' => 0, 'meal' => '', 'soap' => '', 'date' => date('Y-m-d',$Time));
    PrintTableRow($Row);
  }
}
echo('</table><br>
<div align="center"><input type="submit" value="Uložit menu"></div>
</fieldset></form>');
echo('<form action="menuedit.php?action=saveinfo" method="post">
<fieldset><legend>Informační údaje</legend>');

$DbResult = $Database->select('meals_info','*');
$Row = $DbResult->fetch_array();
echo('<textarea name="info" rows="20" cols="80" >'.$Row['info'].'</textarea><br>'.
'Cena: <input type="text" name="price" size="5" value="'.$Row['price'].'"> Kč<br>'.
'<div align="center"><input type="submit" value="Uložit údaje"></div>
</fieldset></form>');

ShowFooter();
?>

